Main Introduction Architecture News Roadmap FAQ Downloads Contributors Mailing Lists Query Bug Database Enter a Bug CVS Wiki User's Guide Connecting with Windows XP Using MacOS X webdav_fs Commandline Client Projector WebDAV Construction Kit Administrator's Guide Installation Configuration Tomcat Bundle J2EE Integration Security Version Control Binding JAAS LoginModule Creating Users JCA Connector Programmer's Corner Getting Started using Eclipse Latest Server JavaDoc 2.1 Server JavaDoc WebDAV Client Javadoc |
Introduction
Slide supports DeltaV (version control) according to the WebDAV DeltaV specification.
Enabling or disabling version control
> By default, version control is enabled in Slide. To disable version control, search for a configuration file named slide.properties in the classpath (if not there, you can create a new one at e.g. $CATALINA_HOME/common/classes) and set or add:
>     org.apache.slide.versioncontrol=false
Other parameters (Domain.xml)
There are some more global parameters in the Slide configuration file Domain.xml, which influence the version control behavior of the server. IMPORTANT NOTE: Under no circumstances the values of the following three parameters should be changed while there are any stores configured or data exists for any store, as no migration of the data will take place: historypath, workspacepath, workingresourcepath. historypath (xpath: `/slide/parameter[@name="historypath"]`): Specifies a Slide path which determines the location where this DeltaV server stores history data. Default value is `/history`. workspacepath (xpath: `/slide/parameter[@name="workspacepath"]`): Specifies a Slide path which determines the location where this DeltaV server allows workspaces to reside. Default value is `/workspace`. workingresourcepath (xpath: `/slide/parameter[@name="workingresourcepath"]`): Specifies a Slide path which determines the location where this DeltaV server stores working resources. Default value is `/workingresource`. versioncontrol-exclude (xpath: `/slide/parameter[@name="versioncontrol-exclude"]`): Specifies a Slide path which determines resources which are excluded from version-control. Default value is `""`. auto-version-control (xpath: `/slide/parameter[@name="auto-version-control"]`): Indicates whether newly created resources are to be set under version-control automatically. Default value is `false`. auto-version (xpath: `/slide/parameter[@name="auto-version"]`): Specifies the default initial value of the DAV:auto-version property for newly created version controlled resources. For the complete list the possible values refer to section 3.2.2 of the DeltaV specification. Default value is `checkout-checkin`. checkout-fork (xpath: `/slide/parameter[@name="checkout-fork"]`): Specifies the default initial value of the DAV:checkout-fork property for newly created version resources. For the complete list the possible values refer to section 4.1.1 of the DeltaV specification. Default value is `forbidden`. checkin-fork (xpath: `/slide/parameter[@name="checkin-fork"]`): Specifies the default initial value of the DAV:checkin-fork property for newly created version resources. For the complete list the possible values refer to section 4.1.2 of the DeltaV specification. Default value is `forbidden`.
More parameters (web.xml)
There exist some servlet init parameters in the webapp deployment descriptor, i.e. `WEB-INF/web.xml` in the webapp directory, which influence the version control behavior of the server at the WebDAV level. extendedAllprop (xpath: `/web-app/servlet/init-param[param-name="extendedAllprop"]`): According to WebDAV DeltaV, ACL and Binding specifications, a DAV:allprop PROPFIND should not return any of the properties defined in any of those documents. For testing purposes, the specified behaviour can be disabled by setting this parameter "true".
Copyright © 1999-2004, Apache Software Foundation